<div class="container-fluid ticket-show">
  <div class="p-t-30">
    <h4>Ticket #<%= @ticket.id %></h4>

    <ol class="breadcrumb breadcrumb-title breadcrumb-arrow">
      <li class="breadcrumb-item">
        <i class="icofont icofont-home"></i>
      </li>
      <li class="breadcrumb-item">
        View Ticket
      </li>
    </ol>
    <hr />

    <div class="row">
      <div class="col-md-9 default-grid-item">
        <div class="card">
          <div class="card-block">

            <ul class="nav nav-tabs  tabs" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" data-toggle="tab" href="#home1" role="tab">Ticket Details</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#profile1" role="tab">Audit log</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" data-toggle="tab" href="#messages1" role="tab">Feedback</a>
              </li>
            </ul>
            <br />

            <div class="tab-content tabs">
              <div class="tab-pane active" id="home1" role="tabpanel">

                <div class="row">
                  <div class="col-xl-4">
                    Created Date : <%= @ticket.created_at.strftime(DATE_FORMAT1) %>
                  </div>
                  <div class="col-xl-4">
                    Modified Date : 
                  </div>
                  <div class="col-xl-4">
                    Status : <%= Ticket::STATUSES[@ticket.status] %>
                  </div>
                </div>
                <br />
                <div class="row">
                  <div class="col-xl-4">
                    Priority : <%= @ticket.priority %>
                  </div>
                  <div class="col-xl-4">
                    Assigned to : <%= @ticket.staff.try :name %>
                  </div>
                  <div class="col-xl-4">
                    <% if @ticket.attachment_file_name.present? %>
                      Attachment : <%= link_to @ticket.attachment_file_name, @ticket.attachment.url, target: "_blank" %>
                    <% end %>
                  </div>
                </div>
                <br />
                <div class="row">
                  <div class="col-xl-4">
                    Response Time : 
                  </div>
                  <div class="col-xl-4">
                    Resolution Time : 
                  </div>
                  <div class="col-xl-4">
                  </div>
                </div>
                <div class="row">
                  <div class="card">
                    <div class="col-md-12 default-grid-item">
                      <div class="cd-timeline-content card_main">

                        <div class="card-block">
                          <div class="row">
                            <div class="col-xl-1 photo-table">
                              <%= image_tag 'avatar-1.png',  class: 'img-circle' %>
                            </div>
                            <div class="col-xl-4">
                              <% if @ticket.is_guest? %>
                                Client: Guest
                                <br />
                                Created by: <%= @ticket.name %>
                              <% else %>
                                Client : <%= @ticket.user.client.name %>
                                <br />
                                Created by : <%= @ticket.user.name %>
                              <% end %>
                            </div>
                            <div class="col-xl-3">
                            </div>
                            <div class="col-xl-4">
                              Posted on: <%= @ticket.created_at.strftime(TIME_FORMAT1) %>
                            </div>
                          </div>
                          <br />
                          <%= @ticket.description.html_safe %>
                        </div>
                      </div>
                      <% @ticket.comments.each do |comment| %>
                        <div class="cd-timeline-content card_main" id="comment-<%= comment.id %>">
                          <div class="card-block">
                            <div class="row">
                              <div class="col-xl-1 photo-table">
                                <%= image_tag 'avatar-1.png',  class: 'img-circle' %>
                              </div>
                              <div class="col-xl-4">
                                  <%= comment.creator.try :name %>
                              </div>
                              <div class="col-xl-3">
                              </div>
                              <div class="col-xl-4">
                                Posted on: <%= comment.created_at.strftime(TIME_FORMAT1) %>
                              </div>
                            </div>
                            <br />
                            <%= comment.description.html_safe %>
                          </div>
                        </div>
                      <% end %>

                      <div class="card-block">
                        <%= render 'comments/new', comment: @ticket.comments.new(creator: current_user) %>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="tab-pane" id="profile1" role="tabpanel">
                <%= render "ticket_logs/index", ticket_logs: @ticket.ticket_logs.order(created_at: :desc) %>
              </div>
              <div class="tab-pane" id="messages1" role="tabpanel">
                <%= form_for @ticket, url: feedback_submit_ticket_path(@ticket), method: :put do |f| %>
                  <%= render 'tickets/feedback_form', f: f %>
                <% end %>
              </div>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-3 default-grid-item p-t-50">
        <div style="position: fixed;" class='p-t-20'>
          <div class="cd-timeline-content card_main">
            <div class="card-block">
              <table class="table table-striped">
                <tr>
                  <th>Status</th><td><%= Ticket::STATUSES[@ticket.status] %></td>
                </tr>
                <tr>
                  <th>Priority</th><td><%= @ticket.priority %></td>
                </tr>
                <% if @ticket.staff.present? %>
                  <tr>
                    <th>Assigned to</th><td><%= @ticket.staff.name %></td>
                  </tr>
                <% end %>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
